#pragma once

#include <vector>
#include "Rect.h"
using namespace std;


class Input
{

public:
	
	Input(const char *);

	int GetBoxHeight() const;
	
	int GetBoxWidth() const;

	int GetTotalArea() const;
	
	int CountRectangles() const;
	
	RectSize GetRectangle(int) const;

	void SortDecreasingArea();

	void SortDecreasingSide();

	void RandomShuffle(int);
	
private:
	
	int totalArea;
	int boxHeight, boxWidth;
	vector<RectSize> rectangles;
	
};
