/** @file Rect.cpp
	@author Jukka Jylnki

	This work is released to Public Domain, do whatever you want with it.
*/

#include "stdafx.h"

bool IsContainedIn(const Rect &a, const Rect &b)
{
	return a.x >= b.x && a.y >= b.y 
		&& a.x+a.width <= b.x+b.width 
		&& a.y+a.height <= b.y+b.height;
}
